﻿using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace CustomTreeNodeElement
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            this.radTreeView1.ItemHeight = 50;
            this.radTreeView1.CreateNodeElement += this.OnCreateNodeElement;

            this.radTreeView1.Nodes.Add(new RadTreeNode("Root"));
            this.radTreeView1.Nodes[0].Nodes.Add(new RadTreeNode("Child 1"));
            this.radTreeView1.Nodes[0].Nodes.Add(new RadTreeNode("Child 2"));

            this.radTreeView1.ExpandAll();
        }

        private void OnCreateNodeElement(object sender, CreateTreeNodeElementEventArgs e)
        {
            e.NodeElement = new CustomTreeNodeElement();
        }
    }
}
