﻿using System;
using Telerik.WinControls;
using Telerik.WinControls.UI;

namespace CustomTreeNodeElement
{
    public class CustomTreeNodeContentElement : TreeNodeContentElement
    {
        protected override Type ThemeEffectiveType
        {
            get { return typeof(TreeNodeContentElement); }
        }

        protected override void InitializeFields()
        {
            base.InitializeFields();
            this.StretchHorizontally = true;
        }

        protected override void CreateChildElements()
        {
            base.CreateChildElements();

            RadHostItem hostItem = new RadHostItem(new NodeControl());
            hostItem.StretchHorizontally = true;
            hostItem.StretchVertically = true;
            this.Children.Add(hostItem);
        }
    }
}
